- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
StarFormatManagerInternal::State Struct Reference

Internal: the state of a StarFormatManager. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::map< unsigned, NumberFormatter > | m_idNumberFormatMap
| a map id to number format More...

## Detailed Description

Internal: the state of a StarFormatManager.

## Constructor & Destructor Documentation

StarFormatManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

std::map<unsigned, NumberFormatter> StarFormatManagerInternal::State::m_idNumberFormatMap

a map id to number format

The documentation for this struct was generated from the following file:

- StarFormatManager.cxx